* opraveny checky potrebnych apps

master
chytrex 12 months ago
parent e54c940825
commit f4d535098f

@ -1,12 +1,11 @@
#!/bin/bash #!/bin/bash
# Script for converting an png image to 8bit semitransparent with dimension suitable for category icon # Script for converting an png image to 8bit semitransparent with dimension suitable for category icon
if [ ! command -v convert >/dev/null 2>&1 ]; then if ! command -v convert >/dev/null 2>&1; then
>&2 echo "convert executable could not be found" >&2 echo "ERROR: convert could not be found"
exit 128 exit 128
fi fi
if [ "$1" = "" ]; then if [ "$1" = "" ]; then
>&2 echo "zadej filename" >&2 echo "zadej filename"
exit 1 exit 1

@ -1,13 +1,13 @@
#!/bin/bash #!/bin/bash
# Script for converting an png image to 8bit semitransparent files base-* and focus-* for using as menu items # Script for converting an png image to 8bit semitransparent files base-* and focus-* for using as menu items
if [ ! command -v convert >/dev/null 2>&1 ]; then if ! command -v convert >/dev/null 2>&1; then
>&2 echo "convert executable could not be found" >&2 echo "ERROR: convert could not be found"
exit 128 exit 128
fi fi
if [ ! command -v pngquant >/dev/null 2>&1 ]; then if ! command -v pngquanti >/dev/null 2>&1; then
>&2 echo "pngquant executable could not be found" >&2 echo "ERROR: pngquant could not be found"
exit 128 exit 128
fi fi

@ -1,21 +1,16 @@
#!/bin/bash #!/bin/bash
# Script for converting an png image to 8bit semitransparent files base-2l* and focus-2l* for using as second level menu items # Script for converting an png image to 8bit semitransparent files base-2l* and focus-2l* for using as second level menu items
if [ ! command -v convert >/dev/null 2>&1 ]; then if ! command -v convert >/dev/null 2>&1; then
>&2 echo "convert executable could not be found" >&2 echo "ERROR: convert could not be found"
exit 128 exit 128
fi fi
if [ ! command -v pngquant >/dev/null 2>&1 ]; then if ! command -v pngquanti >/dev/null 2>&1; then
>&2 echo "pngquant executable could not be found" >&2 echo "ERROR: pngquant could not be found"
exit 128 exit 128
fi fi
if [ "$1" = "" ]; then
>&2 echo "zadej filename"
exit 1
fi
filename="$1" filename="$1"
convert "$filename" -channel A -evaluate Multiply 0.5 +channel -resize 48x48 "prefocus-$filename" convert "$filename" -channel A -evaluate Multiply 0.5 +channel -resize 48x48 "prefocus-$filename"

Loading…
Cancel
Save